DCMTK - Support #629

Enhance documentation for DCMTK_USE_CXX11_STL in INSTALL and config/docs/macros.txt
2015-04-16 11:12 - Jan Schlamelcher

Status: Closed Start date: 2015-04-16
Priority: Normal Due date:

Assignee: Jan Schlamelcher % Done: 100%
Category: Documentation Estimated time: 0:00 hour
Target version: 3.6.2

Module: Compiler:

Operating System:

Description
The documentation for DCMTK_USE_CXX11_STL is still lacking and needs to be enhanced.

Related issues:
Related to DCMTK - Bug #662: Inconsistent use of configure options/macros: wi... New 2015-09-17

History

#1 - 2017-03-24 12:51 - Marco Eichelberg

- Target version changed from 3.6.1+ to 3.6.2

#2 - 2017-07-17 10:57 - Jan Schlamelcher
- Status changed from New to Closed

- % Done changed from 0 to 100

DCMTK_USE_CXX11_STL was refactored to 'DCMTK_ENABLE_CXX11' (CMake) and '--enable-cxx11 '--disable-cxx11', which is documented in
INSTALL. Since it is no longer a macro, config/docs/macros.txt does not need to be touched.
